GWT 2.7.0

## com.google.gwt.user.client.ui
Interface HasConstrainedValue<T>

Type Parameters:
  `T` - the type of value

All Superinterfaces:
  HasHandlers, HasValue<T>, HasValueChangeHandlers<T>, TakesValue<T>

All Known Implementing Classes:
  ValueListBox, ValuePicker

    public interface HasConstrainedValue<T>

extends HasValue<T>

Implemented by widgets that pick from a set of values.

It is up to the implementation to decide (and document) how to behave when `HasValue.setValue(Object)` is called with a value that is not in the acceptable set. For example, throwing an `IllegalArgumentException`, or quietly adding the value to the acceptable set, are both reasonable choices.

Method Summary
`void` | `setAcceptableValues(java.util.Collection<T> values)` Set the acceptable values.

Methods inherited from interface com.google.gwt.user.client.ui.HasValue
`getValue, setValue, setValue`

Methods inherited from interface com.google.gwt.event.logical.shared.HasValueChangeHandlers
`addValueChangeHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### setAcceptableValues

    void setAcceptableValues(java.util.Collection<T> values)

  Set the acceptable values.

  Parameters:
    `values` - the acceptible values

GWT 2.7.0